### Method

# FwupdPlugin SecurityAttrs depsolve

since: 1.5.0

#### Declaration [src]

    void
    fu_security_attrs_depsolve (
      FuSecurityAttrs* self
    )

#### Description [src]

Marks any attributes with `FWUPD_SECURITY_ATTR_FLAG_OBSOLETED` that have been defined as obsoleted by other attributes.

It is only required to call this function once, and should be done when all attributes have been added. This will also sort the attrs.

Available since: 1.5.0